<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model common\models\MainObject */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Main Objects', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="main-object-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'name',
            'img1',
            'img2',
            'img3',
            'need_lvl',
            'price',
            'weight',
            'is_active',
        ],
    ]) ?>

</div>
