<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "news".
 *
 * @property integer $id
 * @property string $title
 * @property string $teaser
 * @property string $content
 * @property integer $weight
 * @property integer $is_active
 * @property integer $created_at
 */
class News extends \yii\db\ActiveRecord
{

    public $comments_count = 0;

    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'news';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['teaser', 'content'], 'string'],
            [['weight', 'is_active','created_at'], 'integer'],
            [['title'], 'string', 'max' => 255]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'title' => 'Название',
            'teaser' => 'Краткое описание',
            'content' => 'Контент',
            'weight' => 'Weight',
            'is_active' => 'Is Active',
        ];
    }
}
