<?php
$params = array_merge(
    require(__DIR__ . '/../../common/config/params.php'),
    require(__DIR__ . '/../../common/config/params-local.php'),
    require(__DIR__ . '/params.php'),
    require(__DIR__ . '/params-local.php')
);

return [
    'sourceLanguage' => 'en-US',
    'language' => 'ru-RU',
    'id' => 'app-frontend',
    'basePath' => dirname(__DIR__),
    'bootstrap' => ['log'],
    'controllerNamespace' => 'frontend\controllers',
    'components' => [
        'userCounter' => [
            'class' => 'frontend\components\UserCounter',
            'tableUsers' => 'pcounter_users',
            'tableSave' => 'pcounter_save',
            'autoInstallTables' => true,
            'onlineTime' => 10, // min
        ],
        'user' => [
            'identityClass' => 'common\models\User',
            'enableAutoLogin' => true,
            'identityCookie' => [
                'name' => 'frontendUser2',
            ]
        ],
        'session' => [
            'name' => 'PHPFRONTSESSION3',
            'cookieParams' => [
                'domain' => '.ferma.ru',
                //'domain' => '.ferma.local',
            ],
        ],
/*        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],*/
        'errorHandler' => [
            'errorAction' => 'site/error',
        ],
        'urlManager' => [
            'enablePrettyUrl' => true,
            'showScriptName' => false,
            'rules' => [
				'<controller:(profile)>/view/<username:[A-Za-z0-9 -_.]+>' => '<controller>/view',
                '<controller:\w+>/<id:\d+>' => '<controller>/view',
                '<controller:\w+>/<action:\w+>/<id:\d+>' => '<controller>/<action>',
                '<controller:\w+>/<action:\w+>' => '<controller>/<action>',
				
				'register' => 'site/signup',
                'resend' => 'user/registration/resend',
                'confirm/<id:\d+>/<token:\w+>' => 'user/registration/confirm',
                'login' => 'site/login',
                'faq'=> 'site/faq',
                'tos'=>'site/tos',
                'online'=>'site/online',
                'news'=>'news/index',
                'top'=>'site/top',
                'game'=>'game/index',
                'charity'=>'site/charity',
                'logout' => 'site/logout',
                'recovery' => 'user/recovery/request',
                'reset/<id:\d+>/<token:\w+>' => 'user/recovery/reset',
                'contact'=> 'site/contact',
                'exchange'=> 'site/exchange'
            ],
        ],
        'i18n' => [
            'translations' => [
                '*' => [
                    'class' => 'yii\i18n\PhpMessageSource',
                    'basePath' => '@frontend/messages',
                    'sourceLanguage' => 'en',
                    'fileMap' => [
                        //'main' => 'main.php',
                    ],
                ],
            ],
        ],
    ],
    'params' => $params,
];
